﻿using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace WinFormDemo.ToolStripMenu
{
    public class MainToolStripMenuItem : ToolStripMenuItem
    {
        #region

        /// <summary>悬浮时</summary>
        [Category("MouseImageEnter"), Description("悬浮时背景")]
        public Image ImageMouseBack { get; set; }

        /// <summary>点击时</summary>
        [Category("MouseImageDown"), Description("点击时背景")]
        public Image ImageDownBack { get; set; }

        private Image normlback;
        /// <summary>初始时</summary>
        [Category("MouseImageNorml"), Description("初始时背景")]
        public Image ImageNormlBack
        {
            get { return normlback; }
            set
            {
                if (normlback != value)
                {
                    normlback = value;
                    this.Image = normlback;
                    this.Invalidate();
                }
            }
        }
        #endregion

        public MainToolStripMenuItem()
        {
            this.DisplayStyle = ToolStripItemDisplayStyle.Image;
            this.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.ShowShortcutKeys = false;
        }
    }
}
