﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinFormDemo.ToolStripMenu
{
    internal class StackRenderer : ToolStripProfessionalRenderer
    {
        protected override void OnRenderMenuItemBackground(ToolStripItemRenderEventArgs e)
        {//实现鼠标按下/鼠标移动/无鼠标情况下显示不同图片
            MainToolStripMenuItem toolItem = e.Item as MainToolStripMenuItem;
            if (toolItem == null) { base.OnRenderMenuItemBackground(e); }
            else
            {
                Graphics g = e.Graphics;
                ToolStrip toolStrip = e.ToolStrip;
                if (toolStrip is ContextMenuStrip)
                {
                    if (e.Item.Pressed)
                    {
                        g.DrawImage(toolItem.ImageDownBack, new Point(-10, 0));
                    }
                    else if (e.Item.Selected)
                    {
                        g.DrawImage(toolItem.ImageMouseBack, new Point(-10, 0));
                    }
                    else
                    {
                        g.DrawImage(toolItem.ImageNormlBack, new Point(-10, 0));
                    }
                }
            }
        }
 
        protected override void OnRenderItemImage(ToolStripItemImageRenderEventArgs e)
        {//去掉前景图
            //base.OnRenderItemImage(e);
        }
        protected override void OnRenderToolStripBorder(ToolStripRenderEventArgs e)
        {//去掉边框
            //base.OnRenderToolStripBorder(e);
        }
    }
}
